Package org.eclipse.birt.report.model.api

# Class OdaLevelAttributeHandle

java.lang.Object
org.eclipse.birt.report.model.api.ElementDetailHandle
org.eclipse.birt.report.model.api.ValueHandle
org.eclipse.birt.report.model.api.StructureHandle
org.eclipse.birt.report.model.api.LevelAttributeHandle
org.eclipse.birt.report.model.api.OdaLevelAttributeHandle

public class OdaLevelAttributeHandle extends LevelAttributeHandle
Represents the handle of one column in the oda result set. The result set column defines the data in which column is in the result set.

Native name
  the oda defined result set name.
Native data type
  the oda defined type of the result set column.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle

`structContext`

### Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`elementHandle`

## Constructor Summary

Constructors
Constructor
Description
`OdaLevelAttributeHandle(SimpleValueHandle valueHandle, int index)`
Constructs the handle of oda result set column.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getNativeDataType()`
Returns the native data type.
`String`
`getNativeName()`
Returns the native name of this result set column.
`void`
`setNativeDataType(Integer dataType)`
Sets the result set column native data type.
`void`
`setNativeName(String nativeName)`
Sets the native name for this result set column.

### Methods inherited from class org.eclipse.birt.report.model.api.LevelAttributeHandle

`getDataType, getName, setDataType, setName`

### Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle

`drop, getContext, getDefn, getExpressionProperty, getExternalizedValue, getExternalizedValue, getIntProperty, getMember, getProperty, getPropertyDefn, getStringProperty, getStructure, isDesignTime, isLocal, iterator, setDesignTime, setExpressionProperty, setProperty, setPropertySilently`

### Methods inherited from class org.eclipse.birt.report.model.api.ValueHandle

`getReference`

### Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle

`getDesign, getElement, getElementHandle, getModule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OdaLevelAttributeHandle

public OdaLevelAttributeHandle(SimpleValueHandle valueHandle, int index)
Constructs the handle of oda result set column.

Parameters:
  `valueHandle` - the value handle for oda result set column list of one property
  `index` - the position of this oda result set column in the list

## Method Details

### getNativeDataType

public Integer getNativeDataType()
Returns the native data type.

Returns:
  the result set column native data type.

### setNativeDataType

public void setNativeDataType(Integer dataType)
Sets the result set column native data type.

Parameters:
  `dataType` - the native data type to set.

### getNativeName

public String getNativeName()
Returns the native name of this result set column.

Returns:
  the native name

### setNativeName

public void setNativeName(String nativeName) throws SemanticException
Sets the native name for this result set column.

Parameters:
  `nativeName` - native name
Throws:
  `SemanticException`